Bug 42374 - Replace DC Master/Slave with Primary/Backup/Replica/Managed Node
Replace DC Master/Slave with Primary/Backup/Replica/Managed Node
Status: VERIFIED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 5.0
Other Linux
: P5 normal (vote)
: UCS 5.0
Assigned To: Arvid Requate
Dirk Wiesenthal
https://etherpad-lite.knut.univention...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-13 13:08 CEST by Florian Best
Modified: 2020-10-09 17:43 CEST (History)
6 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): API change
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-09-13 13:08:50 CEST
We should consider replacing the terms DC Master/DC Slave with DC Primary/DC Secondary.
Comment 1 Michael Grandjean univentionstaff 2016-10-07 11:21:26 CEST
We are not alone with this. I know of at least these projects who already turned away from Master/Slave terminology: 

Django: https://code.djangoproject.com/ticket/22667
Drupal: https://www.drupal.org/node/2275877#comment-8879237
Buildbot: http://trac.buildbot.net/ticket/2340
MediaWiki: https://github.com/wikimedia/mediawiki/commit/950cf6016c10953213e5f985dfc18a32d8673197
Comment 2 Michael Grandjean univentionstaff 2016-10-07 12:02:07 CEST
Also:
Docker Swarm: Master/Slave → Manager/Worker
Jenkins Pipeline: Slave → Agent
Comment 3 Ingo Steuwer univentionstaff 2020-07-03 20:54:23 CEST
This issue has been filed against UCS 4.2.

UCS 4.2 is out of maintenance and many UCS components have changed in later releases. Thus, this issue is now being closed.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or reopen it and update the UCS version. In this case please provide detailed information on how this issue is affecting you.
Comment 4 Philipp Hahn univentionstaff 2020-07-04 16:43:14 CEST
This is planned for UCS-5: <https://taiga.knut.univention.de/project/oschwieg-ucs-5/us/379>
Comment 5 Arvid Requate univentionstaff 2020-10-05 18:28:53 CEST
da864e2dd2 | packaging/
73b64c14c6 | saml/
3a8db00af5 | services/
81ee20238f | base/
7090bb153c | base: merge duplicate translations
1a8171421a | container/
5a305995e3 | packaging/ QA
d68631994a | Fix Typo and FTBFS due to Bug #51977
4eb5f72dd9 | management/ 
b89ccac241 | management/ (po files, yet without changes)
56e3c7a882 | management/ (po files, with changes)
39b92a95f8 | management/ changelogs
cdaba89e3f | "
bb9abccc94 | management/univention-directory-manager-modules (po files, yet without changes)
2180c9cab2 | management/univention-directory-manager-modules (po files, with changes)
66469fe3b9 | "
f632d8adc8 | Stuff
35c3aa7c30 | saml/ QA
7bddea194a | Update developer documentation
c8e15dbd73 | Update scenario documentation
aceb67aa11 | fixup scenario doc
47a24a96ca | Update quickstart documentation
63d47fce78 | Update extended documentation
4680fa7dfa | Update app-center documentation
83bfe5c82c | Update UCS manual
99d576241a | fixup scenario doc
25700a52cf | fixup UCS manual
4d0fd72fe0 | Release Notes and Changelog
b502cfd5bc | QA fixes for management and services code
d00b544be1 | fix expected error message string in test case
46ff5b36f6 | services/ QA
f088a92e6a | fixup developer documentation
59021a4207 | fixup scenario
7c323b3253 | fixup changelog
41c179f528 | add missing dot at end of sentence
925c08d202 | add hint to current system role names
e815e51334 | s/UCS domain controllers/UCS Directory Nodes/
0e9b857617 | management/ QA
eaf73a4611 | fixup management/ QA
854d6073e0 | Additional polishing
7088582d1d | IP Managed Client -> IP Client
8d63c739ad | changelog for IP Managed Client -> IP Client


Gebaute Pakete:
=============

Package: univention-admin-diary
Version: 2.0.1-1A~5.0.0.202010051804

Package: univention-base-files
Version: 9.0.2-1A~5.0.0.202009241356

Package: univention-heimdal
Version: 13.0.1-1A~5.0.0.202009241426

Package: univention-l10n-fr
Version: 4.0.1-5A~5.0.0.202010051811

Package: univention-lib
Version: 9.0.9-1A~5.0.0.202009241434

Package: univention-network-manager
Version: 12.0.1-1A~5.0.0.202009241436

Package: univention-pam
Version: 13.0.1-1A~5.0.0.202009241438

Package: univention-python
Version: 13.0.2-1A~5.0.0.202009241440

Package: univention-samba
Version: 14.0.0-3A~5.0.0.202009291455

Package: univention-samba4
Version: 9.0.1-3A~5.0.0.202009291457

Package: univention-server
Version: 15.0.2-1A~5.0.0.202009241443

Package: univention-ssl
Version: 14.0.1-1A~5.0.0.202009241446

Package: univention-system-activation
Version: 5.0.1-1A~5.0.0.20200924145

Package: univention-system-setup
Version: 13.0.1-2A~5.0.0.202009241510

Package: univention-updater
Version: 15.0.1-1A~5.0.0.202009241515

Package: univention-appcenter
Version: 9.0.1-2A~5.0.0.202010051633

Package: univention-directory-listener
Version: 14.0.0-4A~5.0.0.202010051635

Package: univention-directory-manager-modules
Version: 15.0.3-7A~5.0.0.202010051808

Package: univention-directory-notifier
Version: 14.0.0-3A~5.0.0.202010051647

Package: univention-directory-replication
Version: 13.0.1-5A~5.0.0.202010051649

Package: univention-join
Version: 12.0.0-6A~5.0.0.202010051650

Package: univention-ldap
Version: 16.0.1-3A~5.0.0.202010051653

Package: univention-management-console-module-diagnostic
Version: 6.0.0-3A~5.0.0.202010051655

Package: univention-portal
Version: 4.0.1-9A~5.0.0.202010051657
Comment 6 Dirk Wiesenthal univentionstaff 2020-10-06 01:28:36 CEST
OK: No UCR key changes
OK: No UDM attribute or module name changes
OK: Help texts, descriptions were changed
OK: No more obvious appearances of Master/Slave